package com.sunxung.factoring.entity.project.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 税收违法列表信息
 * </p>
 *
 * @author liutao
 * @since 2023-11-21
 */
public class CTaxIllegalData {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 发布日期，精确到天，如“2022-01-01”
     */
    private String punishDate;

    /**
     * 案件性质
     */
    private String caseNature;

    /**
     * 所属税务机关
     */
    private String taxGov;

    /**
     * 主要违法事实
     */
    private String illegalContent;

    /**
     * 法律依据及处理处罚情况
     */
    private String punishContent;

    /**
     * 税收违法id
     */
    private Long cTaxIllegalId;

    @JSONField(name = "id")
    private String  idStr;

    /**
     * 税收违法 0 否 1 是
     */
    private Integer taxIllegal;

    public Integer getTaxIllegal() {
        return taxIllegal;
    }

    public void setTaxIllegal(Integer taxIllegal) {
        this.taxIllegal = taxIllegal;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPunishDate() {
        return punishDate;
    }

    public void setPunishDate(String punishDate) {
        this.punishDate = punishDate;
    }
    public String getCaseNature() {
        return caseNature;
    }

    public void setCaseNature(String caseNature) {
        this.caseNature = caseNature;
    }
    public String getTaxGov() {
        return taxGov;
    }

    public void setTaxGov(String taxGov) {
        this.taxGov = taxGov;
    }
    public String getIllegalContent() {
        return illegalContent;
    }

    public void setIllegalContent(String illegalContent) {
        this.illegalContent = illegalContent;
    }
    public String getPunishContent() {
        return punishContent;
    }

    public void setPunishContent(String punishContent) {
        this.punishContent = punishContent;
    }
    public Long getcTaxIllegalId() {
        return cTaxIllegalId;
    }

    public void setcTaxIllegalId(Long cTaxIllegalId) {
        this.cTaxIllegalId = cTaxIllegalId;
    }

    @Override
    public String toString() {
        return "CTaxIllegalData{" +
            "punishDate=" + punishDate +
            ", caseNature=" + caseNature +
            ", taxGov=" + taxGov +
            ", illegalContent=" + illegalContent +
            ", punishContent=" + punishContent +
            ", cTaxIllegalId=" + cTaxIllegalId +
        "}";
    }
}
